
Katello - Bug #5039

403 on some system bulk actions

04/02/2014 07:04 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Katello::Errors::UserNotSet: current user is not set

Completed 403 Forbidden in 12.0ms (Views: 0.5ms | ActiveRecord: 0.9ms)

With body: {"displayMessage":"current user is not set","errors":["current user is not set"]}

 

Steps to Reproduce

1. Go to systems page

2. Select one or more systems

3. Attempt to add a system to a system group

4. Notice 403 error

5. Attempt to install packages or a package group

6. Repeat step 4

7. Attempt to change the environment/content view

8. Repeat step 4

9. Attempt apply errata

10. Repeat step 4

History

#1 - 04/25/2014 12:03 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 02:03 PM - Eric Helms

- Status changed from New to Closed

Tested and could not replicate.

#3 - 06/05/2014 03:31 AM - Eric Helms

- Triaged changed from No to Yes
